<?php
namespace ImageViewer;

return [
    'view_manager' => [
        'template_path_stack' => [
            dirname(__DIR__) . '/view',
        ]
    ],
	'block_layouts' => [
        'factories' => [
            'imageViewer' => Service\BlockLayout\ImageViewerFactory::class,
        ],
    ],
    'form_elements' => [
        'invokables' => [
            Form\ImageViewerBlockForm::class => Form\ImageViewerBlockForm::class,
        ],
    ],
    'DefaultSettings' => [
        'ImageViewerBlockForm' => [
            'title' => '',
            'width' => 600,
            'zoom' => false,
            'wrapStyle' => 'overflow-y: hidden;display: flex;flex-direction: column;justify-content: center;',
        ]
    ]
];
